<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->
<!--
IGAC proyecto SNC
@juan.agudelo
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" 
             id="gestionFotosPG">

    <style>
        .fileinput-button { overflow: visible; }
    </style>
    <p:messages id="msg2" globalOnly="true" />

    <p:ajaxStatus onstart="statusDialog2.show();"
                  onsuccess="statusDialog2.hide();"
                  onerror="alert('Error AJAX en la aplicación');" />

    <h:form id="solicitarFotoFormUP"
            enctype="multipart/form-data">
        <p:fileUpload id="fu" oncomplete="statusDialog2.hide();" 
                      fileUploadListener="#{managedBeanParam.imagenUpload}"
                      required="true" dragDropSupport="true"
                      invalidFileMessage="El tipo de archivo seleccionado no es válido"
                      label="Seleccionar imagen" auto="true" 
                      uploadLabel="Subir imagen" cancelLabel="Cancelar" mode="advanced"
                      update="fu, :solicitarDatosFotoForm" sizeLimit="#{general.maximoTamanoAdjuntos}"
                      allowTypes="/(\.|\/)(gif|jpe?g|png)$/" />

    </h:form>

    <h:form id="solicitarDatosFotoForm">

        <h:panelGrid columns="1" cellspacing="0"
                     rendered="#{!managedBeanParam.banderaBotonAceptarCargarFoto}">

            <p:spacer height="20" width="20" />

            <h:panelGroup rendered="#{managedBeanParam.existeImagen}">
                <h:panelGrid id="pg1" columns="1" cellspacing="5">
                    <p:graphicImage id="imgCargadaPreviewGI" 
                                    title="imagen de componente de construcción o anexo" width="550"
                                    value="#{managedBeanParam.rutaWebTemporalFoto}" />

                    <p:spacer height="10" width="20" />

                </h:panelGrid>
            </h:panelGroup>

            <h:panelGrid columns="3" cellspacing="10"
                         rendered="#{managedBeanParam.existeImagen}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Descripción: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" 
                                   />
                </h:panelGrid>
                <h:panelGrid columns="3">
                    <h:inputText value="#{managedBeanParam.currentPFoto.descripcion}"
                                 disabled="true"
                                 id="descripcionFoto" label="Descripcion imagen" size="20" maxlength="50"
                                 required="true" style="width:200px;height:14px;" />

                    <p:message for="descripcionFoto" display="icon"/>
                </h:panelGrid>
            </h:panelGrid>
            <h:panelGrid columns="3"
                         rendered="#{managedBeanParam.existeImagen}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Fecha registro: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                   />
                </h:panelGrid>
                <h:panelGrid columns="3">
                    <p:calendar id="fechaRegistro" maxdate="#{general.fechaActual}"
                                value="#{managedBeanParam.currentPFoto.fecha}" navigator="true"
                                label="Fecha de registro" pattern="#{general.formatoFecha}" lang="es_CO"
                                showOn="both" title="#{general.formatoFechaUsuario}" tabindex="0"
                                effect="slideDown" required="true" 
                                />

                    <p:message for="fechaRegistro" display="icon"/>
                </h:panelGrid>
            </h:panelGrid>
        </h:panelGrid>
        <h:panelGrid>
            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.existeImagen}">

                <p:commandButton value="Aceptar" icon="ui-icon-check"
                                 action="#{managedBeanParam.guardarFoto}"
                                 process="@form"
                                 update="imgCargadaPreviewGI, :confirmacionCargarFotoForm"
                                 onclick="confirmationWV.show()" />


            </h:panelGrid>
        </h:panelGrid>

    </h:form>

</h:panelGrid>